using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace PaintDotNet.Effects
{
    public partial class FlipEffectConfigDialog : EffectConfigDialog
    {
        private Stack ignoreChangedEvents = new Stack();

        public FlipEffectConfigDialog()
        {
            InitializeComponent();
        }


        #region Effect Dialog Implementation ( Overrides )
        /// <summary>
        /// Required for effects to initialize the options data structure
        /// </summary>
        protected override void InitialInitToken()
        {
            theEffectToken = new FlipEffectConfigToken();
        }


        protected override void InitTokenFromDialog() //Make sure everything gets to and from the Main render correctly
        {
            base.InitTokenFromDialog();
            ((FlipEffectConfigToken)theEffectToken).Type = comboType.SelectedIndex;
        }

        protected override void InitDialogFromToken(EffectConfigToken effectTokenCopy) //same as above
        {
            base.InitDialogFromToken(effectTokenCopy);
            FlipEffectConfigToken token = (FlipEffectConfigToken)effectTokenCopy;
            comboType.SelectedIndex = ((FlipEffectConfigToken)theEffectToken).Type;
        }
        #endregion

        #region Control Event Handlers
        /// <summary>
        /// Process the OK button
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnOK_Click(object sender, EventArgs e)
        {
            FinishTokenUpdate();
            DialogResult = DialogResult.OK;
            Close();
        }

        /// <summary>
        /// Process the Cancel Button
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }

        /// <summary>
        /// Allows realtime display changes as the dialog options change
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// 
        private void comboType_SelectedIndexChanged(object sender, EventArgs e)
        {
            FinishTokenUpdate();
        }
        private void label2_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
        {
            PaintDotNet.SystemLayer.Shell.OpenUrl(this, "http://www.getpaint.net/redirect/plugins.html");
        }

        #endregion
    }


}