using System;
using System.Drawing;
using System.Collections.Generic;
using System.Text;

namespace PaintDotNet.Effects
{
    /// <summary>
    /// Structure used to hold options selected for the photo flood fill effect.
    /// </summary>
    public class FlipEffectConfigToken : EffectConfigToken
    {
        #region Fields
        private int _Type = 0; //Type of flip

        #endregion

        #region Properties
        /// <summary>
        /// The file name of the photo to use in fill process
        /// </summary>
        public int Type
        {
          get { return _Type; }
          set { _Type = value; }
        }
        #endregion

        #region Constructors and Clone Override
        /// <summary>
        /// Default Constuctor
        /// </summary>
        public FlipEffectConfigToken()
            : base()
        {
        }

        /// <summary>
        ///  Copy Constructor
        /// </summary>
        /// <param name="aOther"></param>
        protected FlipEffectConfigToken(FlipEffectConfigToken aOther)
            : base(aOther)
        {
            this.Type = aOther.Type;
        }

        /// <summary>
        /// Custom Clone (Copy Override)
        /// </summary>
        /// <returns></returns>
        public override object Clone()
        {
            return new FlipEffectConfigToken(this);
        }
        #endregion
    }
}
